cedarview-drm kernel module fails to build on kernels > 3.2.x [error: implicit declaration of function 'do_mmap']

Bug #1132584 reported by Creyt on 2013-02-25
This bug affects 226 people
Affects Status Importance Assigned to Milestone
cedarview-drm-drivers (Ubuntu)
High
Unassigned

Bug Description

[TRIAGE SUMMARY]
I (Daniel Letzeisen/dtl131) am marking this bug as 'Won't Fix' status based on input from Alberto Milone (comment 4). The cedarview driver is closed source, which means Ubuntu/Canonical cannot update it for use with newer Xservers, such as those found in Ubuntu releases 12.04.2 and later.

If Cedarview owners (Intel Atom D2500/D2700/N2600/N2800) want to use this module, they are encouraged to do a clean install of Ubuntu 12.04.1: http://old-releases.ubuntu.com/releases/12.04.1/
Once 12.04.1 is installed, the users should not install newer lts-kernel or lts-xserver packages, as they need to run kernel 3.2.x for the module to work correctly.

If intel decides to update their code, this bug should be updated accordingly.

[ORIGINAL REPORT]
tried to install this first thing and it fails. i get this report... anyhelp please?cedarview-drm 20120717-0ubuntu1: cedarview-drm kernel module failed to build

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: cedarview-drm 20120717-0ubuntu1
ProcVersionSignature: Ubuntu 3.5.0-23.35~precise1-generic 3.5.7.2
Uname: Linux 3.5.0-23-generic i686
ApportVersion: 2.0.1-0ubuntu17.1
Architecture: i386
DKMSKernelVersion: 3.5.0-23-generic
Date: Sun Feb 24 19:22:02 2013
InstallationMedia: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release i386 (20130213)
MarkForUpload: True
PackageVersion: 20120717-0ubuntu1
SourcePackage: cedarview-drm-drivers
Title: cedarview-drm 20120717-0ubuntu1: cedarview-drm kernel module failed to build
UpgradeStatus: No upgrade log present (probably fresh install)

Creyt (creytanon) wrote :
tags: removed: need-duplicate-check
summary: - tried to install this first thing and it fails. i get this report...
- anyhelp please?cedarview-drm 20120717-0ubuntu1: cedarview-drm kernel
- module failed to build
+ cedarview-drm kernel module fails to build on kernel 3.5.x [error:
+ implicit declaration of function 'do_mmap']

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in cedarview-drm-drivers (Ubuntu):
status: New → Confirmed

The cedarview-drm package is based on a binary driver that Intel released to be used with kernel 3.2.

I've subscribed Alberto Milone to this report. Perhaps he can comment on whether updating the driver for newer kernels would be feasible.

Alberto Milone (albertomilone) wrote :

Even if I patch the kernel driver to work with kernel 3.5, the binary driver won't work with the xserver used in 12.04.2

Michael Fox (michaelf-x) wrote :

Since this affects kernel 3.5 and the xserver used in 12.04.2 (is it possible to downgrade the xserver to something that will work while still running 12.04.2? Since the kernel downgrade shouldn't be an issue I imagine, the xserver might be.

This condition directly affects Intel board (D2700DC - which has an onboard Atom processor).

@Michael Fox: I'm thinking that an unofficial PPA similar to the makson96 PPA that ATI/AMD owners use to run the Catalyst binary driver may be the best solution here. Though running a downgraded X server isn't ideal, neither is a binary driver (but we have to make do with what we have to work with...).

Changed in cedarview-drm-drivers (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Fred Moses (fred-moses) wrote :

@Dave Lentz
It looks like the cederview-drm was not updated for kernel 3.5.
I can get to install manually on kernel 3.2.0-38-generic with Ubuntu 12.04.1.
What I mean by manually, is that I had to use a tty and run apt-get on
cedarview-drm
libva-cedarview-vaapi-driver
cedarview-graphics-driver

Doing the graphical install on Ubuntu 12.04.1 results in a black screen that never comes back.

NOTE: I can almost do the same thing here, BUT cedarview-graphics-driver will not install period

ruben (rubenchis-3452) wrote :

when the computer is suspended, and then after the supencion when the operating system is starting screen is black with some white squares and gives no image

lenovo s110 Intel Atom N2600 3600 graphics

Robert Hooker (sarvatt) wrote :

Installing xserver-xorg-lts-precise will put you back on the 12.04 X stack for it to work (alternately installing xserver-xorg-lts-quantal will go back to 12.04.2), you'll want to purge the linux-lts-quantal packages as well.

tags: added: bugpattern-needed
bart (paolo-deb) wrote :

And what about https://01.org/linuxgraphics/downloads/2013/intel-linux-graphics-installer?
It's a good solution?
What do you think?

Fred Moses (fred-moses) wrote :

No, that driver is for next generation Intel Product, that is not for cedarview. Ok, from my vantagepoint, the CDV driver is written for the 3.2 kernel and should be used with the 3.5 kernel. The only thing that works right now is as follows: This is my suggestion if you want to use cedarview with Ubuntu

Download 12.04.1 from here
http://old-releases.ubuntu.com/releases/12.04.1/
ubuntu-12.04.1-desktop-i386.iso
You should be able to install this to a USB stick
Boot stick
At the main screen, select “Install” BUT you will need to hit the “tab” key to adjust the load.
Remove splash –
Add video=LVDS-1:d
Install image
Reboot

Get into image
From terminal window install ssh server
sudo apt-get install openssh-server ( you may need this this )
Add the following to /etc/default/grub
GRUB_CMDLINE_LINUX_DEFAULT="vmalloc=256M video=LVDS-1:d"
sudo update-grub
Run the software update.
Reboot, you will have a new kernel 3.2.0-38-generic-pae

Now the following MUST BE DONE from either a tty window or an ssh session
If you try to install the driver through the graphical interface it will go to a black screen and never come back. Through the system is still alive. You can ssh in and remove cedarview-drm.

From a tty window or ssh session

sudo apt-get install cedarview-drm cedarview-graphics-driver libva-cedarview-vaapi-driver
sudo apt-get install libva-glx1 libvatpi1 vainfo libva-dev

Fred Moses (fred-moses) wrote :

Missed a word ..

 ... the CDV driver is written for the 3.2 kernel and should NOT be used with the 3.5 kernel.

Fred Moses (fred-moses) wrote :

Adding additional info ..
@Robert Hooker

If I understand correctly, if I am using a cedarview product and load Ubuntu 12.04.2, the following additional steps must be done.
1) Install either linux image-3.2.0-38-generic or linux_image-3.2.0-38-generic-pae and he corresponding headers file
2) Install xserver-xorg-lts-precise

Then I believe I still have to do the following from a tty or ssh session

3) install cedarview-drm cedarview-graphics-driver libva-cedarview-vaapi-driver

Now I am on the 12.04.1 stack and all is good.

Correct?

I will try it

Fred

bart (paolo-deb) wrote :

@Fred Moses Thank you very much!

On 03/01/2013 01:48 PM, Dave Lentz wrote:
> The cedarview-drm package is based on a binary driver that Intel
> released to be used with kernel 3.2.
>
> I've subscribed Alberto Milone to this report. Perhaps he can comment on
> whether updating the driver for newer kernels would be feasible.
>
Please get this issue to somebody that can fix this. I am so brand new
to Ubuntu that its embarassing, but hey you gotta start somewhere right.
I purchased a build specifaly for Ubuntu and everything worked except
for the video drivers. im told by the people that turned me on to Ubuntu
that the community WILL find a fix for it just a matter of when. I see
this issue dates back to almost a year ago and there seems to be hardly
to no progress at all on this so i had to break down and out Windows on
the machine, but i will be greatly appreciative if someone can fix this.
Thanks alot. good luck everybody.

@Creyt: your best option is to follow Fred Moses' advice. The only real fix for this issue is to convince Intel to update the driver, and it's closed-source, so Ubuntu/Canonical can't do much about it. Purchasing a Cedarview GPU for use with Linux/Ubuntu was not the best decision... :\

On 03/16/2013 11:00 PM, Dave Lentz wrote:
> @Creyt: your best option is to follow Fred Moses' advice. The only real
> fix for this issue is to convince Intel to update the driver, and it's
> closed-source, so Ubuntu/Canonical can't do much about it. Purchasing a
> Cedarview GPU for use with Linux/Ubuntu was not the best decision... :\
>
yeah i totally see that now :( , like i said im brand new to all of
this. i didnt know what all to check, i still did my homework as much as
i could but i didnt think of looking into whether or not intel
outsourced the gpu on that series. I have read somewhere a week or two
ago that the particular gpu: PowerVR or something like that, dosent
support the unity or gnome3 at all, so to get it to work you have to
dumb your system down and to me that just defeated the purpose. i am
curious about one thing though. Will any other distro's work for this
gpu? maybe something that uses gnome2 or i dunno...something else?

I just bought an HP Mini 200 with Atom N2600 yesterday!!! :(

Hello Windows? :P

Works with ubuntu 13.04 32/64 bits.

Hello Windows? :P

Maybe but only Windows 32 bit (graphic 64 bit for Windows not released..)

¤º°`°º¤ø,¸¸, Fred van Stappen for FIENSPrototyping ,¸¸,ø¤º°`°º¤
°º¤ø,¸¸,ø¤º°`°º¤ø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤¤º°`°º¤ø,¸¸,ø¤º°

MiXimum is the DJ's best friend.

Download it free at http://sites.google.com/site/fiensprototyping/home

> Date: Sun, 17 Mar 2013 20:47:34 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1132584] Re: cedarview-drm kernel module fails to build on kernel 3.5.x [error: implicit declaration of function 'do_mmap']
>
> I just bought an HP Mini 200 with Atom N2600 yesterday!!! :(
>
> Hello Windows? :P
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1131252).
> https://bugs.launchpad.net/bugs/1132584
>
> Title:
> cedarview-drm kernel module fails to build on kernel 3.5.x [error:
> implicit declaration of function 'do_mmap']
>
> Status in “cedarview-drm-drivers” package in Ubuntu:
> Triaged
>
> Bug description:
> tried to install this first thing and it fails. i get this report...
> anyhelp please?cedarview-drm 20120717-0ubuntu1: cedarview-drm kernel
> module failed to build
>
> ProblemType: Package
> DistroRelease: Ubuntu 12.04
> Package: cedarview-drm 20120717-0ubuntu1
> ProcVersionSignature: Ubuntu 3.5.0-23.35~precise1-generic 3.5.7.2
> Uname: Linux 3.5.0-23-generic i686
> ApportVersion: 2.0.1-0ubuntu17.1
> Architecture: i386
> DKMSKernelVersion: 3.5.0-23-generic
> Date: Sun Feb 24 19:22:02 2013
> InstallationMedia: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release i386 (20130213)
> MarkForUpload: True
> PackageVersion: 20120717-0ubuntu1
> SourcePackage: cedarview-drm-drivers
> Title: cedarview-drm 20120717-0ubuntu1: cedarview-drm kernel module failed to build
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/cedarview-drm-drivers/+bug/1132584/+subscriptions

Creyt (creytanon) wrote :

On 03/17/2013 05:08 PM, van Stappen wrote:
> Works with ubuntu 13.04 32/64 bits.
>
> Hello Windows? :P
>
> Maybe but only Windows 32 bit (graphic 64 bit for Windows not
> released..)
>
>
>
> ¤º°`°º¤ø,¸¸, Fred van Stappen for FIENSPrototyping ,¸¸,ø¤º°`°º¤
> °º¤ø,¸¸,ø¤º°`°º¤ø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤¤º°`°º¤ø,¸¸,ø¤º°
>
> MiXimum is the DJ's best friend.
>
> Download it free at http://sites.google.com/site/fiensprototyping/home
>
>> Date: Sun, 17 Mar 2013 20:47:34 +0000
>> From: <email address hidden>
>> To: <email address hidden>
>> Subject: [Bug 1132584] Re: cedarview-drm kernel module fails to build on kernel 3.5.x [error: implicit declaration of function 'do_mmap']
>>
>> I just bought an HP Mini 200 with Atom N2600 yesterday!!! :(
>>
>> Hello Windows? :P
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1131252).
>> https://bugs.launchpad.net/bugs/1132584
>>
>> Title:
>> cedarview-drm kernel module fails to build on kernel 3.5.x [error:
>> implicit declaration of function 'do_mmap']
>>
>> Status in “cedarview-drm-drivers” package in Ubuntu:
>> Triaged
>>
>> Bug description:
>> tried to install this first thing and it fails. i get this report...
>> anyhelp please?cedarview-drm 20120717-0ubuntu1: cedarview-drm kernel
>> module failed to build
>>
>> ProblemType: Package
>> DistroRelease: Ubuntu 12.04
>> Package: cedarview-drm 20120717-0ubuntu1
>> ProcVersionSignature: Ubuntu 3.5.0-23.35~precise1-generic 3.5.7.2
>> Uname: Linux 3.5.0-23-generic i686
>> ApportVersion: 2.0.1-0ubuntu17.1
>> Architecture: i386
>> DKMSKernelVersion: 3.5.0-23-generic
>> Date: Sun Feb 24 19:22:02 2013
>> InstallationMedia: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release i386 (20130213)
>> MarkForUpload: True
>> PackageVersion: 20120717-0ubuntu1
>> SourcePackage: cedarview-drm-drivers
>> Title: cedarview-drm 20120717-0ubuntu1: cedarview-drm kernel module failed to build
>> UpgradeStatus: No upgrade log present (probably fresh install)
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/ubuntu/+source/cedarview-drm-drivers/+bug/1132584/+subscriptions
so, are you saying that the cedarview gpu works on ubuntu 13?

Van Stappen - Don't toy with me man!!! :( Are you sure about that fix?!

Is there no way to fix this on 12.04.2 LTS????

You can install Intel's drivers on 12.04.2 LTS, using Fred Moses'
instructions. It doesn't work perfectly (high xorg CPU usage after
resume from suspend, and orange messages when starting up), but it works
a lot better than the generic 12.04.2, 12.10 or 13.04, none of which
will resume from suspend for me without massive graphical glitches on my
Acer D270.

First, install openssh-server.

Then ssh into the laptop and run
sudo apt-get install linux-image-3.2.0-38-generic
linux-headers-3.2.0-38-generic xserver-xorg-lts-precise

Reboot, choosing the old kernel at the grub screen, and run (from ssh)
*NB* I vaguely remember doing the next two steps but I can't find them
in my bash_history.

sudo apt-get purge linux-image-generic
sudo apt-get purge xserver-xorg-lts-quantal

Then install the drivers:

sudo apt-get install cedarview-drm cedarview-graphics-drivers
libva-cedarview-vaapi-driver

Reboot again (sudo reboot from the SSH instance) and hopefully things
will work for you.

Download full text (3.4 KiB)

Using what I got from Robert Hooker ... Here are the full instructions of getting Ubuntu 12.04.2 working with 3.2.0-38 kernel. I have added instructions for getting mplayer working in HW accelerated mode. I am not happy with the performance right now, but it works.

Download 12.04.2 from here
 http://releases.ubuntu.com/precise/
ubuntu-12.04.2-desktop-i386.iso

You should be able to install this to a USB stick
Boot stick
At the main screen, select “Install” BUT you will need to hit the “tab” key to adjust the load.
Remove splash –
Add video=LVDS-1:d
Install image
Reboot

Get into image
From terminal window install ssh server
sudo apt-get install openssh-server ( you may need this this )
Add the following to /etc/default/grub
GRUB_CMDLINE_LINUX_DEFAULT="vmalloc=256MB video=LVDS-1:d"
sudo update-grub

sudo apt-get install linux-image-3.2.0-38-generic-pae
NOTE: you can use the above kernel or linux-image-3.2.0-38-generic both will work.
Run the software update.
sudo apt-get install xserver-xorg-lts-precise

Reboot, you will have a new kernel 3.2.0-38-generic-pae
Select the 3.2.0-38 kernel through grub to boot

To list all kernels installed, type the following:
dpkg –list | grep linux-image

Let’s get rid of all the kernels we are not using
sudo apt-get purge linux-image-3.5.0- (whatever the rest is)
Now do the rest minus the 3.2.0-38 version you are using.

Notes: So the above install changes the Ubuntu software stack from quantal (12.04.2) to precise (12.04.1)

Now the following MUST BE DONE from either a terminal window or an ssh session
If you try to install the driver through the graphical interface it will go to a black screen and never come back. Through the system is still alive. You can ssh in and remove cedarview-drm.

From a tty window or ssh session

sudo apt-get install cedarview-drm cedarview-graphics-drivers libva-cedarview-vaapi-driver

Sudo update-grub

sudo apt-get install libva-glx1 libva-tpi1 vainfo libva-dev
sudo apt-get install freeglut3 freeglut3-dev binutils-gold
sudo apt-get install libXi-dev libXfont-dev libXext-dev
sudo apt-get install libdrm-dev
sudo apt-get install libpciaccess-dev
sudo apt-get install libXfixes-dev libXv-dev libXpm-dev
sudo apt-get install libX11-dev libXres-dev libXrender-dev libdmx-dev
sudo apt-get install libxkbfile-dev libXinerama-dev libXdamage-dev
sudo apt-get install libXxf86vm-dev mesa-utils
sudo apt-get install libtool autoconf

reboot

Compile mplayer on target

1. Install yasm and git:
sudo apt-get install yasm git
2. Install some alsa dependencies:
sudo apt-get install libasound2 libasound2-dev
3. Clone MPlayer git repository:
git clone git://gitorious.org/vaapi/mplayer.git
If the command executes successfully, then the MPlayer tree is downloaded in the
target under the mplayer directory.
4. Configure MPlayer:
cd mplayer
git checkout -t origin/hwaccel-vaapi
./configure
At the No FFmpeg checkout prompt, press Enter.
cd ffmpeg
git checkout -b n0.11.2 [you can use the latest version tag]
5. Go back to the MPlayer directory:
cd ..
6. Now we are in the MPlayer directory. Configure MPlayer with ...

Read more...

Anant Mishra (anantmishra) wrote :

Okay the Distro is downloading.... neanwhile could you tell me if I download -

cedarview-drm and libva-cedarview-vaapi-driver

and recompile mplayer with vaapi driver will I be able to offload video decoding to mplayer?! or am I so kidding myself?!

Cata (cataplum987) wrote :

ubuntu still continues with this problem, and I can't play media with VLC, I don't know if is for the video driver or what.

have any solution in some time? or just i forget to use linux and I continue with w7?

I'm frustrated becouse I cant make working linux.

Anant Mishra (anantmishra) wrote :

cata - you may try something like gentoo... extract full performance from CPU while using a superlight WM like dwm or awesome.... Im going to try that next...!!!! :(

Fred - Buddy your solution doesn't work.

ImorePH@gmail.com (imoreph) wrote :
Anant Mishra (anantmishra) wrote :

Hey I just downloaded Ubuntu 12.04.1 from The Pirate Bay and have working graphics drivers for cedarview.

3D sucks but I don't care about it I can now play my HD Videos without stuttering still have some juice from the CPU left to play with...! Close enough!!! :D

Enjoy!!!

and Thanks a lot Fred....! :)

I had just tried using the download from Ubuntu and it did not work. I
tried the one on the PB site and it worked! I followed these instructions
however-
http://linuxeeepc.blogspot.com.es/2012/08/lubuntu-on-eeepc-1025c-with-correct.html.

If you have another linux installation be carefu about removing kernels!
It will delete anything you tell it to anywhere on the disk.

I am using GDM and the only thing I want to do that I can not is autohide
the launcher and shrink the auncher icon size. I do not play games so no
comment there.

garyk

On Sat, Mar 23, 2013 at 10:36 AM, Anant Mishra <email address hidden>wrote:

> Hey I just downloaded Ubuntu 12.04.1 from The Pirate Bay and have
> working graphics drivers for cedarview.
>
> 3D sucks but I don't care about it I can now play my HD Videos without
> stuttering still have some juice from the CPU left to play with...!
> Close enough!!! :D
>
> Enjoy!!!
>
> and Thanks a lot Fred....! :)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1132584
>
> Title:
> cedarview-drm kernel module fails to build on kernel 3.5.x [error:
> implicit declaration of function 'do_mmap']
>
> Status in “cedarview-drm-drivers” package in Ubuntu:
> Triaged
>
> Bug description:
> tried to install this first thing and it fails. i get this report...
> anyhelp please?cedarview-drm 20120717-0ubuntu1: cedarview-drm kernel
> module failed to build
>
> ProblemType: Package
> DistroRelease: Ubuntu 12.04
> Package: cedarview-drm 20120717-0ubuntu1
> ProcVersionSignature: Ubuntu 3.5.0-23.35~precise1-generic 3.5.7.2
> Uname: Linux 3.5.0-23-generic i686
> ApportVersion: 2.0.1-0ubuntu17.1
> Architecture: i386
> DKMSKernelVersion: 3.5.0-23-generic
> Date: Sun Feb 24 19:22:02 2013
> InstallationMedia: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release i386
> (20130213)
> MarkForUpload: True
> PackageVersion: 20120717-0ubuntu1
> SourcePackage: cedarview-drm-drivers
> Title: cedarview-drm 20120717-0ubuntu1: cedarview-drm kernel module
> failed to build
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/cedarview-drm-drivers/+bug/1132584/+subscriptions
>

Aztek (adrian-pentchev) wrote :

I followed Fred Moses instructions strictly on my intel d2700dc machine.
All i get after driver install and reboot is a message "the system is working in low-graphics mode".
The options given after I klick OK are not working. Cannot get tty neither.

I havent used windows for years and as it seems I will have to use it now. It is a disaster.
Shame.
I give up.

Fred Moses (fred-moses) wrote :

Unfortunately, all the CDV boards, notebooks are different, depending on who made the board and what features were added and what additional chips were used.

In general, the cdv linux drivers were written for kernel 3.2.x, they WILL NOT work for kernels above this. You can try to get it to work, but it probably will not be hw accelerated and may be only the stock vesa or maybe the gma500 driver. As of today, there are no plans to add additional kernels for support.

The testing that I have done were on Intel based motherboards, boards that I knew exactly what was on there and how they worked. The instructions that I released does work for the boards that I tested on. There are some issues with media playback that are being addressed.

Fred

Aztek (adrian-pentchev) wrote :

Hi Fred,

It is a genuine intel d2700dc mini-itx board with no additional chips.
I actually get normal resolution and usable system with the generic driver.
However since this system is intended for htpc the lack of hardware graphic acceleration and therefore no propper 1080 video playback rends the computer unusable.

I don't know why I am not able to log in the graphic desktop after your instructions.
I leave only one kernel 3.2.0-38. The driver installs together with the other packages without any error messages.

In fact when I install 12.04.2 it updates itself and prompts me to install additional driver - the proprietary cedar driver in DKMS format. I tried this as well but it does not install properly. It gives error of missing glx module if I am correct.
I tryed 12.10 anf 13.04 daily build but no luck there neither.

I was really hoping I can manage with the older kernel but I am not knowledgeble enough to solve the case myself.
As I said, it would be a disgrace to use MS windows...

Fred,

sorry for unconvenience.

My laptop runs, but the message automatically appeared during update.
I'd better give not anoucement of trouble.
Everything I need works.

But admire your concern. That great.

Henk

Op 16-04-13 15:59, Fred Moses schreef:
> Unfortunately, all the CDV boards, notebooks are different, depending on
> who made the board and what features were added and what additional
> chips were used.
>
> In general, the cdv linux drivers were written for kernel 3.2.x, they
> WILL NOT work for kernels above this. You can try to get it to work,
> but it probably will not be hw accelerated and may be only the stock
> vesa or maybe the gma500 driver. As of today, there are no plans to add
> additional kernels for support.
>
> The testing that I have done were on Intel based motherboards, boards
> that I knew exactly what was on there and how they worked. The
> instructions that I released does work for the boards that I tested on.
> There are some issues with media playback that are being addressed.
>
> Fred
>

--

Hi Aztek,

Just download a fresh copy of 12.04.2 and you will have the working drivers.
Don't update beyond kernel 3.2.39.

I got an HP Mini with GMA3600 Chip... it works fine now... !!!

Ubuntu & Gentoo both have drivers for it... :)
You don't have to run Windows.

A desperate attempt would be to download Meego which has drivers for Cedarview...!
(I did that too... just in case you know..!)

Hope I could help...! Enjoy! :)

Alexander (petrini-av) on 2013-04-26
Changed in cedarview-drm-drivers (Ubuntu):
assignee: nobody → Alexander (petrini-av)
Aztek (adrian-pentchev) wrote :

Hi Anant and everybody,

Seems I managed to get some drivers working on intel d2700dc board.

I installed ubuntu 12.04.1
removed the pae kernel (left on 3.2.0-40-generic)
installed the drivers - # apt-get install cedarview-drm libva-cedarview-vaapi-driver cedarview-graphics-drivers

Now in additional drivers I have working Intel Cedarview graphics driver AND drm driver for intel GMA500 (green and pretending to work)
CPU is about 30% load when playing 1080 video through VLC and the video is smooth.

However in settings - details I get "graphic unknown".
When playing 1080 video from youtube I get really bad performance. The video is jerky and CPU load close to 100%.

I suppose there is something to be done to optimize the video some more?
I feel it is not normal to show graphic "unknown" and I am not sure why the two drivers seem activated at once.

An advise would be appreciated!

Anant Mishra (z3-lionking) wrote :

Aztek...

Everything else is a bit more advanced but here...

You can use Con Kolivas kernel patch.... it will make video faster by 5-8%
apart from that you can change scheduler for hard drive to No-op or Deadline that will give you some performance gain....

Any kind of resource monitoring should be killed.... Resource monitoring takes up useful resource.

I can tell you more but not going to make sense.....

Using a ramdisk will also go a long way to help you with performance... I have yet to do this... but this will give another 3-4% performance gain while playing video...!

Anant Mishra (z3-lionking) wrote :

Aztek... If performance is critical for you then look into buying a Sata III SSD... that will go a long way to help you....

The original EEE PC 701 used to come with SSD's/flash storage for a reason.

Aztek (adrian-pentchev) wrote :

The system is actually equipped with very fast SSD.
I noticed as well that not all 1080 videos paly smooth.
Some are perfect but some just don't work - 50% frames dropped.
I suppose not all encodings are hardware decoded?

Installing mesa-utils package should fix graphics unknown: https://bugs.launchpad.net/ubuntu/+bug/946620

Anant Mishra (z3-lionking) wrote :

Yes there is little hardware decoding for Atom CPU's....

make sure your power profile is performance (ondemand and powersave are going to hurt performance)

you can try using lxde or dwm.... versus Unity dwm is 15% faster.

Alexander (petrini-av) on 2013-04-26
Changed in cedarview-drm-drivers (Ubuntu):
assignee: Alexander (petrini-av) → nobody
Aztek (adrian-pentchev) wrote :

Hi,

After installing mesa-utils the graphic driver is no more unknown, but still not the right one.
Now it is shown gallium 0.4 on llvmpipe (llvm 0x300).

Aztek (adrian-pentchev) wrote :

As it seems nobody is too interested in this driver and gpu anymore.

I would like to share some experience though for those who might need it.

Apart from all the above information, even though the video is reported incorrectly as gallium 0.4 on llvmpipe (llvm 0x300) the 2d acceleration works ALMOST satisfactory under Ubuntu 12.04 (with older generic kernels).
Some videos drop frames. I suppose the reason is difference in the support for different codecs.

Youtube works very bad. Same for vimeo.
However youtube is quite OK if played through VLC player with the help of Youtube video and playlist importer - http://addons.videolan.org/content/show.php/+Youtube+playlist+importer?content=149909.

My overall opinion is that intel d2700dc board with (I believe) GMA 3650 GPU is NOT a good board if you plan to use it as video playing device under linux.
As the hardware is not in production anymore this is unlikely to change.

For all of you who think that the traditionally good Intel linux support warrants flawless performance under Ubuntu and there is no need to check if the specific hardware is well supported - think again :)
I did this mistake and won't repeat it for any manufacturer from now on.

It is a bit sad that after all these years and the progress linux made both in terms of usability for the ordinary user and popularity, the driver support for big number of hardware is sub par.

@Aztek:
1. "gallium 0.4 on llvmpipe" is correct. Since this GPU lacks 3D hardware accel, it uses llvmpipe.

2. Playing video with the Flash plugin (youtube) takes a lot of CPU power no matter which GPU you're using. As you've discovered, it's best to use a native Linux video player to work around the issue.

3. GMA 500/600 and 3600/3650 are terrible GPU's for Linux. You should have done more research before making your purchase. Simply buying something because of the brand/logo in it is a bad idea, whether it's a computer or a car.

garypeg (pegngary) wrote :

I have an Asus 1025 ce with the Cedartrail critters. It works well on Lubuntu 12.04 and 13.04 upgrade, 12.04.1 and 13.04. 12.04 is fine with youtubes. Netflix is very choppy but could be in part due to the vpn. I am quite happy with the performance most of the time time, no, the vast majority of the time. No 3d. So the launcher icons don't fold- no big deal. I do not play games so no problem there- I doubt running windows would work for games either as it had a pretty severe typing lag. I uninstalled W7. 13.04 runs 3d at least in so far as the launcher icons folding. It will not connect with external monitors so I can not use it most of the time and besides it is a bit slow in 3d. I installed Cinnamon and in 2d it is reasonably responsive but 12.04 is better in that regard as is Lubuntu of course (I use it when I need to do some heavier editing or some such). Nonetheless I would not recommend this computer- not with any operating system. It just can not do heavy lifting and you have to play with it a bit to get Ubuntu to install- not a big deal for someone with moderate skills.

Brijin (brijins) wrote :

I am planning to upgrade(or fresh install) from 12.04 to 13.04 (HP Mini 210-4000 series). This issue is fixed? if I install 13.04, will it be usable?

summary: - cedarview-drm kernel module fails to build on kernel 3.5.x [error:
+ cedarview-drm kernel module fails to build on kernels > 3.2.x [error:
implicit declaration of function 'do_mmap']

I am marking this bug as 'Won't Fix' status based on input from Alberto Milone (comment 4). The cedarview driver is closed source, which means Ubuntu/Canonical cannot update it for use with newer Xservers, such as those found in Ubuntu releases Quantal/12.10 and later.

Ubuntu Precise/12.04 users must use a 3.2 kernel and Xserver 1.11.x if they want to use the cedarview-drm module. They can accomplish this by installing the xserver-xorg-lts-precise package and removing kernels/Xservers for newer releases. Sample commands:
sudo apt-get install xserver-xorg-lts-precise
sudo apt-get purge xserver-xorg-lts-quantal xserver-xorg-lts-raring linux-generic-lts-quantal linux-generic-lts-raring

If intel decides to update their code, this bug should be updated accordingly.

Changed in cedarview-drm-drivers (Ubuntu):
status: Triaged → Won't Fix
description: updated
der_vegi (m-may) wrote :

Daniel, your comment "Simply buying something because of the brand/logo in it is a bad idea, whether it's a computer or a car." is very true... *g The thing is, that I was stupid enough to trust the brand/logo "Ubuntu certified" on my Asus EEPC 1225C, which came with Ubuntu preinstalled. :(

The recommendation to "sudo apt-get install xserver-xorg-lts-precise
sudo apt-get purge xserver-xorg-lts-quantal xserver-xorg-lts-raring linux-generic-lts-quantal linux-generic-lts-raring" resulted for me (starting from 12.04.2 i386) in a system that did not load X any more, so be cautious with it! I had to reinstall the lts-raring stuff, to get my system working again and I am still trying to figure out, what exactly to uninstall and install to get kernel 3.2 with xorg working...

@der_vegi: when I wrote the original instructions, folks were mainly upgrading from 12.04 or 12.04.1, which still let users fall back to the old 3.2 kernel and 1.11 Xserver. With a clean install of an Ubuntu 12.04.2 image, that possibility does not exist. I will update the instructions in the original report accordingly. Thanks.

P.S. I find it odd that anyone would Ubuntu certify a system with a cedarview chip, but I guess it did work correctly with the original Ubuntu version Asus had on there.

description: updated
der_vegi (m-may) wrote :

That method worked for me downgrading from 12.04.2 to the 3.2 kernel: http://askubuntu.com/a/267782 I have now successfully installed the binary blob driver and can finally watch videos with vlc, again. *g

Yeah, the netbook did initially work with the Ubuntu version Asus had preinstalled. But they a) do not deliver a recovery medium and b) after a repair - change of harddisk - I got the computer back from Asus with an unformatted harddisk and the comment from the support, that I should just download Ubuntu, as they will not provide any download or medium. Still, it is indeed odd to "certify" such hardware.

Txerk (aitsinma) on 2013-09-16
Changed in cedarview-drm-drivers (Ubuntu):
assignee: nobody → Txerk (aitsinma)
Changed in cedarview-drm-drivers (Ubuntu):
assignee: Txerk (aitsinma) → nobody

Sorry for my ignorance, but is there a reason why efforts like https://github.com/thomas001/cedarview-drm not make it into the kernels/packages?
The guy seems to have the drivers working up to 3.9

I have had a similar issue with this netbook: Samsung NT-N100S-E31S, which seems the Korean version of this one:
http://www.samsung.com/ph/consumer/monitor-peripherals-printer/notebook-pc/netbook/NP-N100S-E01PH

Again, Intel Atom N2100 with GMA3150 graphic chipset.

I have installed xubuntu 12.04.1 i386:
http://old-releases.ubuntu.com/releases/xubuntu/releases/12.04/release/

By default everything works fine except video playing. Running 'xvinfo' shows:
X-Video Extension version 2.2
screen #0
 no adaptors present

Ctrl+Alt+F1 and install the following packages from the tty:
sudo apt-get install xserver-xorg-lts-precise
sudo apt-get install cedarview-drm cedarview-graphics-drivers libva-cedarview-vaapi-driver
sudo apt-get install libva-glx1 libva-tpi1 vainfo libva-dev

And now, this very important step: replace lightdm with gdm.
sudo apt-get install gdm

In this case, adding video=LVDS-1:d to Grub results in a black screen after init scripts.
So in my /etc/default/grub GRUB_CMDLINE_LINUX_DEFAULT=""

sudo update-grub

After that I succesfully I ran apt-get update and everthing keeps working fine.
Kernel is 3.2.0-60-generic

After #56, 'xvinfo' detects screen adaptor.

e-Vent (fmaster) wrote :

Just had this issue on a AD2550R/U3S3 motherboard with Ubuntu 16.04.2 Server. Installation display works fine, post installation display no longer works after a quick text scroll (doesn't get to login.)

Intel GMA 3600 GPU had no display output and wasn't fixed my nomodeset or other GMA related fixes found here:

https://wiki.ubuntu.com/HardwareSupportComponentsVideoCardsPoulsbo

The fix was found to be *blacklisting* the driver as per:

https://ubuntuforums.org/showthread.php?t=2250571

via the /etc/default/grub

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers